Retrieve the fraud detection rule configurations for your program. Each rule can be set to off, detect (flag but allow), or block (prevent the action).
Response
boolean
Always true for successful responses
object | null
The fraud rules object, or null if not yet configured.
Show Data Object Properties
string
Self-referral detection: off, detect, or block
string
Cross-program ban detection: off, detect, or block
string
Duplicate payout detection: off, detect, or block
string
Suspicious email detection: off, detect, or block
string
Banned referral detection: off, detect, or block
string
Paid traffic detection: off, detect, or block
string
Blocked country detection: off, detect, or block
object | null
Configuration for banned referral detection
object | null
Configuration for blocked country detection (e.g. country list)
object | null
Configuration for paid traffic detection
curl -X GET "https://api.affonso.io/v1/program/fraud-rules" \ -H "Authorization: Bearer sk_live_your_api_key"